﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 그라디언트 패널
    /// </summary>
    public class GradationPanel : Panel
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 왼쪽 색상 - LeftColor

        /// <summary>
        /// 왼쪽 색상
        /// </summary>
        public Color LeftColor { get; set; }

        #endregion
        #region 오른쪽 색상 - RightColor

        /// <summary>
        /// 오른쪽 색상
        /// </summary>
        public Color RightColor { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페인트시 처리하기 - OnPaint(e)

        /// <summary>
        /// 페인트시 처리하기
        /// </summary>
        /// <param name="e">이벤트 인자</param>
        protected override void OnPaint(PaintEventArgs e)
        {
            LinearGradientBrush brush = new LinearGradientBrush
            (
                ClientRectangle,
                LeftColor,
                RightColor,
                0f
            );

            e.Graphics.FillRectangle(brush, ClientRectangle);

            base.OnPaint(e);
        }

        #endregion
    }
}